#include <iostream>

using namespace std;

int main()
{
    string slova;
    int brojslova1, brojslova2, maksi, mini;
    cin >> slova;
    cin >> brojslova1 >> brojslova2;
    char slovo1 = slova[0];
    char slovo2 = slova[1];
    maksi = brojslova1;
    if (brojslova2 >maksi)
    {
        maksi = brojslova2;
    }
    mini = brojslova2+brojslova1-maksi;
    if (maksi - mini >= 2)
    {
        cout << "nemoguce"<<endl;
    }
    else
    {
        if (brojslova1 == maksi &&brojslova1 == mini)
        {
            for (int i = 0; i<brojslova1;i++)
            {
                cout << slovo1 << slovo2;
            }

        }
        else if(brojslova1 == maksi && brojslova1 != mini)
        {
            for (int i = 0; i<brojslova1;i++)
            {
                cout << slovo1 << slovo2;
            }
            cout << slovo1;
        }
        else if(brojslova2 == maksi && brojslova2 != mini)
        {
            for (int i = 0; i<brojslova2;i++)
            {
                cout << slovo2 << slovo1;
            }
            cout << slovo2;
        }

    }
}